For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • POSTCreate Locations
              • GETList Locations
              • PUTUpdate Locations
              • DELDelete Locations
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryLocations

Delete Locations

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/locations
DELETE
/stores/:store_hash/v3/inventory/locations
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations?location_id:in=5" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "transaction_id": "a3f47b9e-8c2d-4f1a-9b6e-2d7f3c9e5a1b"
3}
Delete existing locations. You cannot delete locations that are shipping origins or have open order transactions. The location with a `location_id` of 1 is the storeʼs default shipping origin, and you cannot change the shipping origin. You can delete locations assigned to pickup methods. > Warning: > > Deleting locations that have inventory also deletes its stock.
Was this page helpful?
Previous

Update Locations

Next

List Metafields

Built with

Delete existing locations.

You cannot delete locations that are shipping origins or have open order transactions. The location with a location_id of 1 is the storeʼs default shipping origin, and you cannot change the shipping origin.

You can delete locations assigned to pickup methods.

Warning:

Deleting locations that have inventory also deletes its stock.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

location_id:inintegerRequired

Comma separated list of location_id.

Response

Request has been successfully processed.
transaction_idstring
Unique identifier of performed action.

Errors

404
Not Found Error
422
Unprocessable Entity Error